Subject: Re: bug#7732: ispell-buffer always gives bogus (0) and (1) choices
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sun, 26 Dec 2010 05:59:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: [email-masked]
> Cc: [email-masked], [email-masked]
> Date: Sun, 26 Dec 2010 08:57:03 +0800
> 
> >>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:
> 
> EZ> Are you sure ispell-buffer doesn't use aspell or hunspell instead of
> EZ> the real ispell?  What are your values of ispell-really-aspell and
> EZ> ispell-really-hunspell?  In my case, I know that's really ispell that
> EZ> ispell.el invokes, because I don't have the other two installed.
> 
> ispell-really-hunspell nil
> ispell-really-aspell "0.60.6"

That's it: you are actually using aspell inside Emacs.  So I'm closing
this bug.

> $ echo transfered  |/usr/bin/spell # http://en.wiktionary.org/wiki/transfered #misspelling
> $ echo transferred |/usr/bin/spell
> $ echo transferrred|/usr/bin/spell
> transferrred
> 
> $ cat t
> transfered
> $ ispell t

Only the last one is of (casual) interest to this issue, and I cannot
reproduce it: for me, ispell highlights "transfered" as a misspelling
and shows exactly the same choices as inside Emacs.  Maybe you should
do a "type ispell", perhaps there are more surprises there.